<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ExtendedColor (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ExtendedColor (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":10,"i2":6,"i3":6,"i4":6,"i5":10,"i6":10,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":10,"i15":10,"i16":6,"i17":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ExtendedColor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html"
               title="class in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/FillPatternType.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/ExtendedColor.html" target="_top">Frames</a>
        </li>
        <li><a href="ExtendedColor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel</div>
    <h2 title="Class ExtendedColor" class="title">Class ExtendedColor</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.usermodel.ExtendedColor</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                           title="interface in org.apache.poi.ss.usermodel">Color</a></dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFExtendedColor.html"
                           title="class in org.apache.poi.hssf.usermodel">HSSFExtendedColor</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFColor</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">ExtendedColor</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/Color.html"
              title="interface in org.apache.poi.ss.usermodel">Color</a></pre>
                <div class="block">Represents a XSSF-style color (based on either a
                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html"
                       title="class in org.apache.poi.xssf.usermodel"><code>XSSFColor</code></a> or a
                    <a href="../../../../../org/apache/poi/hssf/record/common/ExtendedColor.html"
                       title="class in org.apache.poi.hssf.record.common"><code>ExtendedColor</code></a></div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#ExtendedColor--">ExtendedColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>abstract byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#getARGB--">getARGB</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#getARGBHex--">getARGBHex</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>abstract short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#getIndex--">getIndex</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected abstract byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#getIndexedRGB--">getIndexedRGB</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>abstract byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#getRGB--">getRGB</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>protected byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#getRGBOrARGB--">getRGBOrARGB</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#getRGBWithTint--">getRGBWithTint</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected abstract byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#getStoredRBG--">getStoredRBG</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>abstract int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#getTheme--">getTheme</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>abstract double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#getTint--">getTint</a></span>()</code>
                                    <div class="block">Specifies the tint value applied to the ctColor.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>abstract boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#isAuto--">isAuto</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>abstract boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#isIndexed--">isIndexed</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>abstract boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#isRGB--">isRGB</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>abstract boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#isThemed--">isThemed</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#setARGBHex-java.lang.String-">setARGBHex</a></span>(java.lang.String&nbsp;argb)</code>
                                    <div class="block">Sets the ARGB value from hex format, eg FF0077FF.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#setColor-java.awt.Color-">setColor</a></span>(java.awt.Color&nbsp;clr)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>abstract void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#setRGB-byte:A-">setRGB</a></span>(byte[]&nbsp;rgb)</code>
                                    <div class="block">Sets the Red Green Blue or Alpha Red Green Blue</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>abstract void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#setTint-double-">setTint</a></span>(double&nbsp;tint)</code>
                                    <div class="block">Specifies the tint value applied to the ctColor.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ExtendedColor--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ExtendedColor</h4>
                                <pre>public&nbsp;ExtendedColor()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="setColor-java.awt.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setColor</h4>
                                <pre>protected&nbsp;void&nbsp;setColor(java.awt.Color&nbsp;clr)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>clr</code> - awt Color to set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isAuto--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isAuto</h4>
                                <pre>public abstract&nbsp;boolean&nbsp;isAuto()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the color is automatic</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isIndexed--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isIndexed</h4>
                                <pre>public abstract&nbsp;boolean&nbsp;isIndexed()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the color is indexed</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isRGB--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isRGB</h4>
                                <pre>public abstract&nbsp;boolean&nbsp;isRGB()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the color is RGB / ARGB</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isThemed--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isThemed</h4>
                                <pre>public abstract&nbsp;boolean&nbsp;isThemed()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the color is from a Theme</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIndex</h4>
                                <pre>public abstract&nbsp;short&nbsp;getIndex()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Indexed Color index value, if <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#isIndexed--"><code>isIndexed()</code></a>
                                        is true
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTheme--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTheme</h4>
                                <pre>public abstract&nbsp;int&nbsp;getTheme()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Index of Theme color, if <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#isThemed--"><code>isThemed()</code></a>
                                        is true
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRGB--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRGB</h4>
                                <pre>public abstract&nbsp;byte[]&nbsp;getRGB()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Standard Red Green Blue ctColor value (RGB) bytes.
                                        If there was an A (Alpha) value, it will be stripped.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getARGB--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getARGB</h4>
                                <pre>public abstract&nbsp;byte[]&nbsp;getARGB()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Standard Alpha Red Green Blue ctColor value (ARGB) bytes.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getStoredRBG--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStoredRBG</h4>
                                <pre>protected abstract&nbsp;byte[]&nbsp;getStoredRBG()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>RGB or ARGB bytes or null</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRGB-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRGB</h4>
                                <pre>public abstract&nbsp;void&nbsp;setRGB(byte[]&nbsp;rgb)</pre>
                                <div class="block">Sets the Red Green Blue or Alpha Red Green Blue</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rgb</code> - bytes</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRGBOrARGB--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRGBOrARGB</h4>
                                <pre>protected&nbsp;byte[]&nbsp;getRGBOrARGB()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>RGB or ARGB bytes, either stored or by index</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIndexedRGB--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIndexedRGB</h4>
                                <pre>protected abstract&nbsp;byte[]&nbsp;getIndexedRGB()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>index color RGB bytes, if <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html#isIndexed--"><code>isIndexed()</code></a>
                                        == true, null if not indexed or index is invalid
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRGBWithTint--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRGBWithTint</h4>
                                <pre>public&nbsp;byte[]&nbsp;getRGBWithTint()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Standard Red Green Blue ctColor value (RGB) bytes with applied tint.
                                        Alpha values are ignored.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getARGBHex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getARGBHex</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getARGBHex()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the ARGB value in hex string format, eg FF00FF00.
                                        Works for both regular and indexed colours.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setARGBHex-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setARGBHex</h4>
                                <pre>public&nbsp;void&nbsp;setARGBHex(java.lang.String&nbsp;argb)</pre>
                                <div class="block">Sets the ARGB value from hex format, eg FF0077FF.
                                    Only works for regular (non-indexed) colours
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>argb</code> - color ARGB hex string</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTint--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTint</h4>
                                <pre>public abstract&nbsp;double&nbsp;getTint()</pre>
                                <div class="block">Specifies the tint value applied to the ctColor.

                                    <p>
                                        If tint is supplied, then it is applied to the RGB value of the ctColor to
                                        determine the final
                                        ctColor applied.
                                    </p>
                                    <p>
                                        The tint value is stored as a double from -1.0 .. 1.0, where -1.0 means 100%
                                        darken and
                                        1.0 means 100% lighten. Also, 0.0 means no change.
                                    </p>
                                    <p>
                                        In loading the RGB value, it is converted to HLS where HLS values are
                                        (0..HLSMAX), where
                                        HLSMAX is currently 255.
                                    </p>
                                    Here are some examples of how to apply tint to ctColor:
                                    <blockquote>
 <pre>
 If (tint &lt; 0)
 Lum' = Lum * (1.0 + tint)

 For example: Lum = 200; tint = -0.5; Darken 50%
 Lum' = 200 * (0.5) =&gt; 100
 For example: Lum = 200; tint = -1.0; Darken 100% (make black)
 Lum' = 200 * (1.0-1.0) =&gt; 0
 If (tint &gt; 0)
 Lum' = Lum * (1.0-tint) + (HLSMAX - HLSMAX * (1.0-tint))
 For example: Lum = 100; tint = 0.75; Lighten 75%

 Lum' = 100 * (1-.75) + (HLSMAX - HLSMAX*(1-.75))
 = 100 * .25 + (255 - 255 * .25)
 = 25 + (255 - 63) = 25 + 192 = 217
 For example: Lum = 100; tint = 1.0; Lighten 100% (make white)
 Lum' = 100 * (1-1) + (HLSMAX - HLSMAX*(1-1))
 = 100 * 0 + (255 - 255 * 0)
 = 0 + (255 - 0) = 255
 </pre>
                                    </blockquote>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the tint value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTint-double-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setTint</h4>
                                <pre>public abstract&nbsp;void&nbsp;setTint(double&nbsp;tint)</pre>
                                <div class="block">Specifies the tint value applied to the ctColor.

                                    <p>
                                        If tint is supplied, then it is applied to the RGB value of the ctColor to
                                        determine the final
                                        ctColor applied.
                                    </p>
                                    <p>
                                        The tint value is stored as a double from -1.0 .. 1.0, where -1.0 means 100%
                                        darken and
                                        1.0 means 100% lighten. Also, 0.0 means no change.
                                    </p>
                                    <p>
                                        In loading the RGB value, it is converted to HLS where HLS values are
                                        (0..HLSMAX), where
                                        HLSMAX is currently 255.
                                    </p>
                                    Here are some examples of how to apply tint to ctColor:
                                    <blockquote>
 <pre>
 If (tint &lt; 0)
 Lum' = Lum * (1.0 + tint)

 For example: Lum = 200; tint = -0.5; Darken 50%
 Lum' = 200 * (0.5) =&gt; 100
 For example: Lum = 200; tint = -1.0; Darken 100% (make black)
 Lum' = 200 * (1.0-1.0) =&gt; 0
 If (tint &gt; 0)
 Lum' = Lum * (1.0-tint) + (HLSMAX - HLSMAX * (1.0-tint))
 For example: Lum = 100; tint = 0.75; Lighten 75%

 Lum' = 100 * (1-.75) + (HLSMAX - HLSMAX*(1-.75))
 = 100 * .25 + (255 - 255 * .25)
 = 25 + (255 - 63) = 25 + 192 = 217
 For example: Lum = 100; tint = 1.0; Lighten 100% (make white)
 Lum' = 100 * (1-1) + (HLSMAX - HLSMAX*(1-1))
 = 100 * 0 + (255 - 255 * 0)
 = 0 + (255 - 0) = 255
 </pre>
                                    </blockquote>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>tint</code> - the tint value</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ExtendedColor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html"
               title="class in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/FillPatternType.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/ExtendedColor.html" target="_top">Frames</a>
        </li>
        <li><a href="ExtendedColor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
